Bug 870658

Summary: Build python-webpy for EL6
Product: [Fedora] Fedora EPEL Reporter: Anssi Johansson <rhbugs>
Component: python-webpyAssignee: Matthias Runge <mrunge>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: el6CC: mrunge
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-19 18:29:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Anssi Johansson 2012-10-27 18:06:57 UTC
Description of problem:

python-webpy is available for various Fedora releases, EL4 and EL5 but not for EL6.

Additional info:

python-webpy appears to be available on RPMforge: http://pkgs.org/centos-6-rhel-6/repoforge-i386/python-webpy-0.37-1.el6.rf.noarch.rpm.html

Comment 1 Matthias Runge 2012-10-29 08:57:19 UTC
Thanks for the report.

I was unaware, python-webpy was not built/pushed for EPEL6. It's currently building and will be pushed later today.

Comment 2 Fedora Update System 2012-10-29 09:01:51 UTC
python-webpy-0.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-webpy-0.37-2.el6

Comment 3 Fedora Update System 2012-10-29 18:39:28 UTC
python-webpy-0.37-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 4 Anssi Johansson 2012-10-30 08:25:29 UTC
[root@seepra ~]# yum install python-webpy --enablerepo=epel-testing

---> Package python-webpy.noarch 0:0.37-2.el6 will be installed
--> Processing Dependency: python-cherrypy for package: python-webpy-0.37-2.el6.noarch
--> Finished Dependency Resolution
Error: Package: python-webpy-0.37-2.el6.noarch (epel-testing)
           Requires: python-cherrypy

python-cherrypy2-2.3.0-17.el6 would be available. Perhaps python-webpy should depend on python-cherrypy2 instead of python-cherrypy?

Comment 5 Matthias Runge 2012-10-30 09:11:53 UTC
(In reply to comment #4)
> [root@seepra ~]# yum install python-webpy --enablerepo=epel-testing
> 
> ---> Package python-webpy.noarch 0:0.37-2.el6 will be installed
> --> Processing Dependency: python-cherrypy for package:
> python-webpy-0.37-2.el6.noarch
> --> Finished Dependency Resolution
> Error: Package: python-webpy-0.37-2.el6.noarch (epel-testing)
>            Requires: python-cherrypy
> 
> python-cherrypy2-2.3.0-17.el6 would be available. Perhaps python-webpy
> should depend on python-cherrypy2 instead of python-cherrypy?

Ahh, noo. webpy bundles cherrypy's wsgiserver, which is strictly forbidden in fedora/rhel/epel.
That wsgiserver is not available in cherrypy 2.3

Seems we need to go the log way (and also provide cherrypy-3.2 for epel).
I will check that.

Comment 6 Fedora Update System 2012-11-19 18:29:15 UTC
python-webpy-0.37-2.el6 has been pushed to the Fedora EPEL 6 stable repository.